%define upstream_name	 Gtk3-Helper
%define	upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl helper module for Gtk3
License:    LGPLv2+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib)
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Depends) >= 0.300
%description
This module provides an helper for Gtk3.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl Makefile.PL INSTALLDIRS=vendor

%build
%make_build OPTIMIZE="%{optflags}"

%install
%make_install

%check
make test

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Gtk3/Helper*
%_mandir/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-3.mga8
+ Revision: 1504629
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-2.mga7
+ Revision: 1283953
- Mageia 7 Mass Rebuild

* Mon Nov 06 2017 tv <tv> 0.60.0-1.mga7
+ Revision: 1176103
- drop PREREQ_FATAL (CPAN RT#90724)

* Sun Nov 05 2017 tv <tv> 0.40.0-1.mga7
+ Revision: 1176067
- we only need perl-Glib, not perl-Gtk3

* Sun Nov 05 2017 tv <tv> 0.30.0-1.mga7
+ Revision: 1176066
- new release (just basic tests)

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-5.mga6
+ Revision: 1028151
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.0-4.mga6
+ Revision: 946555
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-3.mga5
+ Revision: 747945
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-2.mga5
+ Revision: 684922
- Mageia 5 Mass Rebuild

* Sat Nov 23 2013 tv <tv> 0.20.0-1.mga4
+ Revision: 552417
- imported package perl-Gtk3-Helper

